gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.MenuItem A with an icon.

is a which has an icon next to the text label.

Note that the user can disable display of menu icons, so make sure to still fill in the text label.

`//How to add MenuBar with a Quit stock MenuItem ... Window win; //if your class derive from Window then call this. istead of win. MenuBar menuBar ... AccelGroup grup = new AccelGroup (); win.AddAccelGroup(grup); menuFile = new Menu (); ImageMenuItem quit_item = new ImageMenuItem(Stock.Quit, group); quit_item.AddAccelerator("activate", grup, new AccelKey( Gdk.Key.q, Gdk.ModifierType.ControlMask, AccelFlags.Visible)); //OnMenuFileQuit is the Method runned when the event is trigged quit_item.Activated += new EventHandler (OnMenuFileQuit); menuFile.Append(quit_item); MenuItem file_item = new MenuItem("_File"); file_item.Submenu = menuFile; menuBar.Append(file_item);`
- Constructor
  2.12.0.0
  Creates a new .
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  an object of type
  Creates a new containing a label.
- Constructor
  2.12.0.0
  an object of type
  an object of type
  Creates a new containing the image and text from a stock item.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("image")
  Gtk.Widget Child widget to appear next to the menu text. an object of type